import { AxiosInstance } from 'axios';
import { LoginApiInterface } from 'fns-api';
import { AuthInterface } from './interfaces';
export interface AuthProviderOptions {
    clientSecret: string;
    axios?: AxiosInstance;
    loginApi?: LoginApiInterface;
}
export declare abstract class AuthProvider implements AuthInterface {
    protected readonly clientSecret: string;
    protected readonly loginApi: LoginApiInterface;
    protected accessToken: string | undefined;
    protected refreshToken: string | undefined;
    constructor(options: AuthProviderOptions);
    abstract authenticate(): Promise<void>;
    refreshTokens(): Promise<void>;
    getAccessToken(): string | undefined;
    getRefreshToken(): string | undefined;
    clearTokens(): void;
}
