"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OAuth2EsiaAuth = void 0;
const auth_provider_1 = require("../auth.provider");
class OAuth2EsiaAuth extends auth_provider_1.AuthProvider {
    constructor(options) {
        super(options);
        this.authorizationCode = undefined;
        this.state = undefined;
    }
    getEsiaUrl() {
        return __awaiter(this, void 0, void 0, function* () {
            const response = yield this.loginApi.getUrlOAuthEsia();
            return response.data.url;
        });
    }
    setAuthorizationCode(value) {
        this.authorizationCode = value;
    }
    setState(value) {
        this.state = value;
    }
    authenticate() {
        return __awaiter(this, void 0, void 0, function* () {
            const { data: { sessionId, refresh_token } } = yield this.loginApi.loginEsia({
                authorization_code: this.authorizationCode,
                state: this.state,
                client_secret: this.clientSecret
            });
            this.accessToken = sessionId;
            this.refreshToken = refresh_token;
        });
    }
}
exports.OAuth2EsiaAuth = OAuth2EsiaAuth;
