import { AuthProvider, AuthProviderOptions } from '../auth.provider';
declare type OS = 'android' | 'ios';
export interface TwoFactorAuthOptions extends AuthProviderOptions {
    phone: string;
    os?: OS;
}
export declare class TwoFactorAuth extends AuthProvider {
    private readonly phone;
    private readonly os;
    private code;
    constructor(options: TwoFactorAuthOptions);
    signIn(captcha: string): Promise<void>;
    setVerificationCode(value: string | undefined): void;
    authenticate(): Promise<void>;
}
export {};
