"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TwoFactorAuth = void 0;
const auth_provider_1 = require("../auth.provider");
class TwoFactorAuth extends auth_provider_1.AuthProvider {
    constructor(options) {
        var _a;
        super(options);
        this.code = undefined;
        this.phone = options.phone;
        this.os = (_a = options.os) !== null && _a !== void 0 ? _a : 'android';
    }
    signIn(captcha) {
        return this.loginApi.loginByPhone({
            phone: this.phone,
            captcha,
            os: this.os,
            client_secret: this.clientSecret
        });
    }
    setVerificationCode(value) {
        this.code = value;
    }
    authenticate() {
        return __awaiter(this, void 0, void 0, function* () {
            const { data: { sessionId, refresh_token } } = yield this.loginApi.verifyPhone({
                phone: this.phone,
                code: this.code,
                client_secret: this.clientSecret
            });
            this.accessToken = sessionId;
            this.refreshToken = refresh_token;
        });
    }
}
exports.TwoFactorAuth = TwoFactorAuth;
