import { AxiosInstance, CancelToken } from 'axios';
import { FiscalData, ReceiptApiInterface, ReceiptDetails, ReceiptShort } from 'fns-api';
import type { AuthInterface, ClientInterface } from './interfaces';
export interface ClientOptions {
    auth: AuthInterface;
    axios?: AxiosInstance;
    receiptApi?: ReceiptApiInterface;
}
export declare class Client implements ClientInterface {
    private readonly auth;
    private readonly receiptApi;
    constructor(options: ClientOptions);
    addReceipt(fiscalData: FiscalData, cancelToken?: CancelToken): Promise<ReceiptShort>;
    addReceipt(qr: string, cancelToken?: CancelToken): Promise<ReceiptShort>;
    getReceipt(id: string, cancelToken?: CancelToken): Promise<ReceiptDetails>;
    getReceipts(cancelToken?: CancelToken): Promise<ReceiptShort[]>;
    removeReceipt(id: string, cancelToken?: CancelToken): Promise<void>;
}
