"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReceiptStatusUtil = void 0;
const fns_api_1 = require("fns-api");
exports.ReceiptStatusUtil = {
    isSuccess(status) {
        return (fns_api_1.ReceiptStatus.NPD_FOUND.includes(status) ||
            fns_api_1.ReceiptStatus.HAVE_COPY.includes(status));
    },
    isPending(status) {
        return (fns_api_1.ReceiptStatus.COPY_REQUESTED.includes(status) ||
            fns_api_1.ReceiptStatus.HSM_REQUESTED.includes(status));
    },
    isError(status) {
        return (fns_api_1.ReceiptStatus.NPD_NOT_FOUND.includes(status) ||
            fns_api_1.ReceiptStatus.HSM_NOK.includes(status) ||
            fns_api_1.ReceiptStatus.RETRIEVE_FAILED.includes(status) ||
            fns_api_1.ReceiptStatus.UNSUPPORTED_DOCUMENT_TYPE.includes(status) ||
            fns_api_1.ReceiptStatus.STANDALONE_CASH.includes(status) ||
            fns_api_1.ReceiptStatus.ERROR.includes(status));
    },
    isOther(status) {
        return (!this.isSuccess(status) &&
            !this.isPending(status) &&
            !this.isError(status));
    }
};
